import 'package:example/controllers/home_controller.dart';
import 'package:example/pages/int_page.dart';
import 'package:example/pages/status_page.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:getx_extended/export.dart';

class HomePage extends StatelessWidget {
  HomeController controller = Get.find();

  @override
  Widget build(BuildContext context) => controller.page.toWidget(
        (rx) => Scaffold(
          appBar: AppBar(
            title: Text("Demo"),
          ),
          body: IndexedStack(
            index: rx.value,
            children: [
              StatusPage(),
              IntPage(),
            ],
          ),
          bottomNavigationBar: BottomNavigationBar(
            onTap: rx,
            currentIndex: rx.value,
            items: [
              BottomNavigationBarItem(
                  icon: Icon(Icons.eleven_mp), label: "Status"),
              BottomNavigationBarItem(
                  icon: Icon(Icons.four_g_mobiledata), label: "Refreshable"),
            ],
          ),
        ),
      );
}
